Bug 1416650 - Upgrading using gnome-software/systemd with lvm-xfs custom partitioning format causes grub boot failure
Summary: Upgrading using gnome-software/systemd with lvm-xfs custom partitioning forma...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software   
(Show other bugs)
Version: 25
Hardware: x86_64 Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://blog.carlbennett.me/2017/01/2...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 08:28 UTC by Carl Bennett
Modified: 2018-04-20 21:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 10:45:06 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1569970 None None None Never

Description Carl Bennett 2017-01-26 08:28:23 UTC
## Description of problem:

Using the gnome-software utility's method to upgrade the system, that is with a Restart & Install, the system will reboot and start upgrading via SystemD. After the upgrade completes, the system's grub bootloader will drop to a grub command line immediately after booting. There is no way to boot the system after this, attempting to manually boot using the proper linux16/initrd16 parameters causes a kernel panic.

When in this state, booting the Live CD iso and mounting the filesystem on the disk can cause the problem to be resolved. A reboot without the Live CD after mounting the filesystem earlier will yield a normal boot as expected.

## Version-Release number of selected component (if applicable):

gnome-software-3.22.1-1.fc25.x86_64
gnome-software-3.22.5-1.fc25.x86_64
systemd-231-10.fc25.x86_64
systemd-231-12.fc25.x86_64
vmlinuz-4.8.6-300.fc25.x86_64
vmlinuz-4.9.5-200.fc25.x86_64

## How reproducible:

Always

## Steps to Reproduce:

1. Create a fresh virtual machine with a blank hard disk and network disconnected.
2. Mount the Workstation Live CD (Fedora-Workstation-Live-x86_64-25-1.3.iso).
3. Boot the Live CD.
4. Run the Install to disk application.
5. Use custom disk partitioning with the following options specifically:
   a. Create an LVM partition with / mount point, leave desired capacity empty.
   b. Change File System to 'xfs'.
   c. Click 'Update Settings'.
   d. Click 'Done' in upper left / finish custom partitioning.
   e. Accept warning about no swap partition.
6. Begin installation, ensuring network is offline so Live CD cannot download latest packages, fill out any user settings you'd like, and wait for it to finish.
7. Quit the install to disk application and shutdown the machine normally.
8. Remove the Live CD from the machine.
9. Power on the machine, boot normally, and login.
10. Run the gnome-software utility (Activities -> Software).
11. Enable the network of your machine, go to the 'Updates' tab, and click the refresh button in the upper left, and wait for it to download updates.
    - If it says 'cancelled by user action', click refresh again.
12. When you see a list of packages, click 'Restart & Install' in the upper right, confirm you'd like to restart and install, and wait for the system to reboot and the installing updates prompt to finish.
21. Your system should have rebooted after finishing installing updates, and   you should now be dropped to the grub command line.

## Actual results:
After upgrading the system via gnome-software/SystemD method, the user is dropped to a grub command line and is unable to boot the system.

## Expected results:
Upgrading the system via gnome-software/SystemD method would work correctly.

## Additional info:

Comment 1 Kalev Lember 2017-01-28 09:04:19 UTC
I am at loss here what is happening. I don't think it's gnome-software's fault at least; could be something like systemd doing an unclean shutdown maybe and then grub fails to read the uncleanly unmounted partition or something?

Comment 2 Carl Bennett 2017-07-27 02:22:50 UTC
I don't believe gnome-software is the offending application. I do believe that systemd is the one performing an unclean shutdown resulting in the uncleanly unmounted partition.

If I recall from the time I opened this, the issue was due to the xfs journal not being closed properly after systemd upgraded the system. This resulted in the xfs partition not being mountable during boot.

Comment 3 Fedora End Of Life 2017-11-16 19:29:40 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:45:06 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.